uniform sampler2D uTex0;
uniform float uTime;
uniform float uStrength;
void main()
{
	vec2 tc = gl_TexCoord[0].st + vec2(cos(gl_TexCoord[0].s * 64.0 + uTime) / 200.0, sin(gl_TexCoord[0].t * 64.0 + uTime) / 200.0) * vec2(uStrength);
	vec4 col = texture2D(uTex0, tc);
	float pinkify = pow(dot(col.rgb, col.rgb), 3.0) * 0.15 * uStrength;
	col.rgb += vec3(pinkify, 0.0, pinkify);
	gl_FragColor =  col;
}
